View Issue Details

IDProjectCategoryView StatusLast Update
16122Bug reportsSurvey participants (Tokens)public2020-04-28 10:12
Reporterkjnerhus Assigned ToDenisChenu  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.15 
Fixed in Version4.2.x 
Summary16122: Encryption of "email" field in participants database: Limesurvey does not mark participant as invited
Description

Installation Limesurvey 4.1.15.

The «email» field in the participants database was encrypted.
Tried to send email invitation from participants screen.

It works in part (I get the mail invitation) BUT limesurvey DOES NOT mark the participant as invited in the participant database.
It looks like the invitation was never sent.

Steps To Reproduce

Then did the same thing without encrypting "email" field.

Then it works (I get the mail invitation) AND limesurvey marks the participant as invited in the participant database.

Additional Information

Seems to have something to do with the encryption of the "email" field.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.15+200402
I will donate to the project if issue is resolvedYes
Sync to Zoho Project
Browser74.0.1 (64-bit)
Database & DB-Version5.6.47 - MySQL Community Server - limesurvey database version 425
Server OS (if known)
Webserver software & version (if known)
PHP Version7.0.33

Activities

DenisChenu

DenisChenu

2020-04-24 10:50

developer   ~57354

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29934

lime_release_bot

lime_release_bot

2020-04-28 10:12

administrator   ~57418

Fixed in Release 4.2.1+200428

Related Changesets

LimeSurvey: master 69c8914d

2020-04-24 10:50:18

DenisChenu

Details Diff
Fixed issue 16122: Encryption of "email" field in participants database: Limesurvey does not mark participant as invited
Dev: decrypt when load, encrypt when save
Dev: Add the validation error in tokenoutput in case
Dev: Remove some unused var
Affected Issues
16122
mod - application/controllers/admin/tokens.php Diff File

Issue History

Date Modified Username Field Change
2020-04-10 12:43 kjnerhus New Issue
2020-04-21 09:17 DenisChenu Assigned To => DenisChenu
2020-04-21 09:17 DenisChenu Status new => assigned
2020-04-24 10:50 DenisChenu Changeset attached => LimeSurvey master 69c8914d
2020-04-24 10:50 DenisChenu Note Added: 57354
2020-04-24 10:50 DenisChenu Resolution open => fixed
2020-04-24 10:52 DenisChenu Status assigned => resolved
2020-04-24 10:52 DenisChenu Fixed in Version => 4.2.x
2020-04-28 10:12 lime_release_bot Note Added: 57418
2020-04-28 10:12 lime_release_bot Status resolved => closed